Package com.avaya.clientservices.messaging.enums

## Enum ErrorCode

- java.lang.Object
- - java.lang.Enum<ErrorCode>
  - - com.avaya.clientservices.messaging.enums.ErrorCode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ErrorCode>`

      @Deprecated
      public enum ErrorCode
      extends java.lang.Enum<ErrorCode>

  Deprecated.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ATTACHMENT_NOT_FOUND` | Deprecated. Requested attachment not found.
    `ATTACHMENT_SIZE_EXCEEDED` | Deprecated. Attachment size exceeds server limit.
    `AUTHENTICATION_ERROR` | Deprecated. The server rejected the request due to an authentication error.
    `BODY_LENGTH_EXCEEDED` | Deprecated. Body text length in request was exceeded.
    `CANCELLED` | Deprecated. The operation was cancelled.
    `CERTIFICATE_ERROR` | Deprecated. The server rejected the request due to a certificate error.
    `CONNECTION_ERROR` | Deprecated. A connection error occurred.
    `FAILED_TO_OPEN_DESTINATION_FILE` | Deprecated. Cannot open destination file for attachment.
    `FAILED_TO_OPEN_FILE_TO_ATTACH` | Deprecated. Cannot open file to attach.
    `IDENTITY_BAD_CERTIFICATE` | Deprecated. Client certificate is corrupt or in other way invalid.
    `IDENTITY_EXPIRED_CERTIFICATE` | Deprecated. Client certificate has expired.
    `IDENTITY_NO_CERTIFICATE` | Deprecated. Client certificate is missing.
    `IDENTITY_REVOKED_CERTIFICATE` | Deprecated. Client certificate was revoked by the issuing authority.
    `IDENTITY_UNKNOWN_CA` | Deprecated. Client certificate has expired.
    `IDENTITY_UNSUPPORTED_CERTIFICATE` | Deprecated. Client certificate type is not supported by the server.
    `INTERNAL_ERROR` | Deprecated. An internal error occurred.
    `INVALID_RESPONSE` | Deprecated. The server returned an invalid response.
    `INVALID_STATE` | Deprecated. The operation is not valid for the current state.
    `MAX_NUMBER_OF_ATTACHMENTS_LIMIT_EXCEEDED` | Deprecated. Number of attachments exceeds the limit.
    `MESSAGE_NOT_FOUND` | Deprecated. Message for query not found.
    `NO_PARTICIPANTS` | Deprecated. Request cannot be completed because there are no participants in the conversation.
    `PARTICIPANT_ADDRESS_INVALID` | Deprecated. Participant address is incorrect.
    `RETRY_LIMIT_EXCEEDED` | Deprecated. The request exceeded the maximum number of retries.
    `SECURE_CONNECTION_FAILED` | Deprecated. The server rejected the request due to an SSL error.
    `SERVER_ERROR` | Deprecated. The server rejected the request.
    `SUBJECT_LENGTH_EXCEEDED` | Deprecated. Subject text length in request was exceeded.
    `THUMBNAIL_SIZE_EXCEEDED` | Deprecated. Thumbnail size exceeds the limit.
    `TIMEOUT` | Deprecated. The request timed out.
    `UNKNOWN` | Deprecated. An unknown error.
    `UNSUPPORTED` | Deprecated. The requested operation is not supported.
    `UNSUPPORTED_MEDIA_TYPE_FOR_ATTACHMENT_THUMBNAIL` | Deprecated. Attachment thumbnail media type is not supported.
    `WRONG_ATTACHMENT_PATH` | Deprecated. Attachment path is invalid.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ErrorCode` | `valueOf​(java.lang.String name)` | Deprecated. Returns the enum constant of this type with the specified name.
    `static ErrorCode[]` | `values()` | Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ErrorCode UNKNOWN

      Deprecated.
      An unknown error. If this error code is received, it is a bug.

    - #### UNSUPPORTED

          public static final ErrorCode UNSUPPORTED

      Deprecated.
      The requested operation is not supported.

    - #### CANCELLED

          public static final ErrorCode CANCELLED

      Deprecated.
      The operation was cancelled.

    - #### INVALID_STATE

          public static final ErrorCode INVALID_STATE

      Deprecated.
      The operation is not valid for the current state.

    - #### INTERNAL_ERROR

          public static final ErrorCode INTERNAL_ERROR

      Deprecated.
      An internal error occurred.

    - #### TIMEOUT

          public static final ErrorCode TIMEOUT

      Deprecated.
      The request timed out.

    - #### RETRY_LIMIT_EXCEEDED

          public static final ErrorCode RETRY_LIMIT_EXCEEDED

      Deprecated.
      The request exceeded the maximum number of retries.

    - #### INVALID_RESPONSE

          public static final ErrorCode INVALID_RESPONSE

      Deprecated.
      The server returned an invalid response.

    - #### AUTHENTICATION_ERROR

          public static final ErrorCode AUTHENTICATION_ERROR

      Deprecated.
      The server rejected the request due to an authentication error.

    - #### CERTIFICATE_ERROR

          public static final ErrorCode CERTIFICATE_ERROR

      Deprecated.
      The server rejected the request due to a certificate error.

    - #### IDENTITY_NO_CERTIFICATE

          public static final ErrorCode IDENTITY_NO_CERTIFICATE

      Deprecated.
      Client certificate is missing.

    - #### IDENTITY_BAD_CERTIFICATE

          public static final ErrorCode IDENTITY_BAD_CERTIFICATE

      Deprecated.
      Client certificate is corrupt or in other way invalid.

    - #### IDENTITY_UNSUPPORTED_CERTIFICATE

          public static final ErrorCode IDENTITY_UNSUPPORTED_CERTIFICATE

      Deprecated.
      Client certificate type is not supported by the server.

    - #### IDENTITY_REVOKED_CERTIFICATE

          public static final ErrorCode IDENTITY_REVOKED_CERTIFICATE

      Deprecated.
      Client certificate was revoked by the issuing authority.

    - #### IDENTITY_EXPIRED_CERTIFICATE

          public static final ErrorCode IDENTITY_EXPIRED_CERTIFICATE

      Deprecated.
      Client certificate has expired.

    - #### IDENTITY_UNKNOWN_CA

          public static final ErrorCode IDENTITY_UNKNOWN_CA

      Deprecated.
      Client certificate has expired.

    - #### SECURE_CONNECTION_FAILED

          public static final ErrorCode SECURE_CONNECTION_FAILED

      Deprecated.
      The server rejected the request due to an SSL error.

    - #### CONNECTION_ERROR

          public static final ErrorCode CONNECTION_ERROR

      Deprecated.
      A connection error occurred.

    - #### SERVER_ERROR

          public static final ErrorCode SERVER_ERROR

      Deprecated.
      The server rejected the request.

    - #### NO_PARTICIPANTS

          public static final ErrorCode NO_PARTICIPANTS

      Deprecated.
      Request cannot be completed because there are no participants in the conversation.

    - #### ATTACHMENT_NOT_FOUND

          public static final ErrorCode ATTACHMENT_NOT_FOUND

      Deprecated.
      Requested attachment not found.

    - #### PARTICIPANT_ADDRESS_INVALID

          public static final ErrorCode PARTICIPANT_ADDRESS_INVALID

      Deprecated.
      Participant address is incorrect.

    - #### MESSAGE_NOT_FOUND

          public static final ErrorCode MESSAGE_NOT_FOUND

      Deprecated.
      Message for query not found.

    - #### BODY_LENGTH_EXCEEDED

          public static final ErrorCode BODY_LENGTH_EXCEEDED

      Deprecated.
      Body text length in request was exceeded.

    - #### SUBJECT_LENGTH_EXCEEDED

          public static final ErrorCode SUBJECT_LENGTH_EXCEEDED

      Deprecated.
      Subject text length in request was exceeded.

    - #### ATTACHMENT_SIZE_EXCEEDED

          public static final ErrorCode ATTACHMENT_SIZE_EXCEEDED

      Deprecated.
      Attachment size exceeds server limit.

    - #### THUMBNAIL_SIZE_EXCEEDED

          public static final ErrorCode THUMBNAIL_SIZE_EXCEEDED

      Deprecated.
      Thumbnail size exceeds the limit.

    - #### FAILED_TO_OPEN_DESTINATION_FILE

          public static final ErrorCode FAILED_TO_OPEN_DESTINATION_FILE

      Deprecated.
      Cannot open destination file for attachment.

    - #### FAILED_TO_OPEN_FILE_TO_ATTACH

          public static final ErrorCode FAILED_TO_OPEN_FILE_TO_ATTACH

      Deprecated.
      Cannot open file to attach.

    - #### WRONG_ATTACHMENT_PATH

          public static final ErrorCode WRONG_ATTACHMENT_PATH

      Deprecated.
      Attachment path is invalid.

    - #### UNSUPPORTED_MEDIA_TYPE_FOR_ATTACHMENT_THUMBNAIL

          public static final ErrorCode UNSUPPORTED_MEDIA_TYPE_FOR_ATTACHMENT_THUMBNAIL

      Deprecated.
      Attachment thumbnail media type is not supported.

    - #### MAX_NUMBER_OF_ATTACHMENTS_LIMIT_EXCEEDED

          public static final ErrorCode MAX_NUMBER_OF_ATTACHMENTS_LIMIT_EXCEEDED

      Deprecated.
      Number of attachments exceeds the limit.

  - ### Method Detail

    - #### values

          public static ErrorCode[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorCode c : ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorCode valueOf​(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null